Edit

Create picture

Creates the properties and relationships of a picture object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

PATCH businesscentralPrefix/companies({companyId})/items({itemId})/picture/pictureContent
PATCH businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture/pictureContent
PATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/picture/pictureContent
PATCH businesscentralPrefix/companies({companyId})/customers({customerId})/picture/pictureContent

Request headers

Header Value
Authorization Bearer {token}. Required.

Request body

In the request body, supply a JSON representation of a project object.

Response

If successful, this method returns a 204 No Content response code. It doesn't return anything in the response body.

Example

Request

Here's an example of the request.

PATCH https://{businesscentralPrefix}/api/v2.0/companies(companyId)/items(itemId)/picture/pictureContent

Response

No content.

Tips for working with the APIs picture Get picture Delete picture Update picture